Bug 772233 - Review Request: mstflint - Mellanox firmware burning utility
Summary: Review Request: mstflint - Mellanox firmware burning utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Albert Strasheim
QA Contact: Fedora Extras Quality Assurance
URL: http://people.redhat.com/dledford/Pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-06 14:34 UTC by Doug Ledford
Modified: 2012-02-01 19:24 UTC (History)
6 users (show)

Fixed In Version: mstflint-1.4-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 19:22:17 UTC
Type: ---
ville.skytta: fedora-review-
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Doug Ledford 2012-01-06 14:34:07 UTC
The mstflint package is used to burn new firmware to Mellanox based InfiniBand or 10GigE network adapters.  As the Mellanox cards are highly intelligent, the firmware is used to enable various advanced features.  Frequently, bugs are fixed via new firmware versions.  The ability to update the firmware is consequently very important on Mellanox cards.

Comment 1 Albert Strasheim 2012-01-09 13:18:58 UTC
$ rpmlint mstflint.spec mstflint-1.4-6.fc15.x86_64.rpm
mstflint.x86_64: W: spelling-error Summary(en_US) Mellanox -> Melanoma
mstflint.x86_64: W: obsolete-not-provided openib-mstflint
mstflint.x86_64: W: obsolete-not-provided openib-tvflash
mstflint.x86_64: W: obsolete-not-provided tvflash
mstflint.x86_64: W: no-manual-page-for-binary mstmread
mstflint.x86_64: W: no-manual-page-for-binary mstflint
mstflint.x86_64: W: no-manual-page-for-binary mstvpd
mstflint.x86_64: W: no-manual-page-for-binary mstregdump
mstflint.x86_64: W: no-manual-page-for-binary mstmwrite
1 packages and 1 specfiles checked; 0 errors, 9 warnings.

How does mstflint relate to the mft packages provided by Mellanox?

http://www.mellanox.com/content/pages.php?pg=management_tools&menu_section=34

For some reason I got the idea that mstflint is older software, but I could easily be mistaken.

Is it worth packaging this for Fedora?

Comment 2 Doug Ledford 2012-01-09 19:22:25 UTC
I believe they are the same thing or at least as close as they can be given that the mft packages are Windows/Linux capable while mstflint is linux specific.

The older software you are referring to is tvflash.  Both mstflint and mft tools supersede the old tvflash software.  I'm not bothering to submit that for Fedora although it exists in both EL4 and EL5.

Comment 3 Doug Ledford 2012-01-10 21:23:51 UTC
New Package SCM Request
=======================
Package Name: mstflint
Short Description: Utility to burn firmware images on Mellanox hardware
Owners: dledford
Branches: f15 f16
InitialCC:

Comment 4 Gwyn Ciesla 2012-01-11 00:56:47 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-01-11 18:40:59 UTC
mstflint-1.4-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mstflint-1.4-6.fc16

Comment 6 Fedora Update System 2012-01-11 18:41:07 UTC
mstflint-1.4-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mstflint-1.4-6.fc15

Comment 7 Ville Skyttä 2012-01-13 18:27:14 UTC
Was this package actually reviewed at all?  According to the bug history, the fedora-review+ flag was set by fenlason@redhat.com but there's not a single comment from him and this bug is still assigned to someone else.

The package doesn't seem to be actually building anything at all from sources but ships prebuilt executables included in the source tarball (which are built for x86_64; meaning the i686 package contains x86_64 binaries too).  This is something that should be fixed quickly.

Comment 8 Gwyn Ciesla 2012-01-13 18:40:26 UTC
Indeed.  I'm also curious exactly what has been done.  If this can't be built from source it needs to be removed.

Comment 9 Gwyn Ciesla 2012-01-13 18:45:29 UTC
On 2 minutes glance, a make clean before make might be all it needs, but that doesn't answer the Ville's concerns about the review.

Comment 10 Doug Ledford 2012-01-13 19:37:04 UTC
My apologies for this guys.  The upstream people gave me a tarball to include a fix and it was a simple update so I put the tarball in the sources and rebuilt without inspecting the new tarball (that was the last update prior to submitting to Fedora).  That tarball is just broken though.  I'm going to have upstream get me a new tarball.  In the meantime I've created a cleaned up tarball of my own and submitted a build to resolve the issue.

In regards to the question of the review, there was one, Albert did it, but he's new to the process (and fairly new to Fedora) and so Jay backed him up and set the review complete flag.

Comment 11 Gwyn Ciesla 2012-01-13 20:05:39 UTC
Noted, thanks.  Make sure Albert is aware that it's customary to provide details of the review in the BZ, often using a template or a list from the Review Guidelines.

Comment 12 Doug Ledford 2012-01-13 20:13:35 UTC
Unfortunately, I do so few reviews I'm just as bad.  Another user pointed me at the normal process page and I started making my submissions better.  For example the ones I current have that are still open do a better job of following the normal procedures.

Comment 13 Gwyn Ciesla 2012-01-13 20:36:05 UTC
Onward and upward!

Comment 14 Fedora Update System 2012-01-14 03:58:58 UTC
mstflint-1.4-7.fc15 has been pushed to the Fedora 15 testing repository.

Comment 15 Fedora Update System 2012-02-01 19:22:17 UTC
mstflint-1.4-7.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2012-02-01 19:24:08 UTC
mstflint-1.4-7.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.